Leads
Replace tags
Replace all tags on a lead
PUT
/
leads
/
{leadId}
/
tags
cURL
curl --request PUT \
--url https://api.attent.app/v1/leads/{leadId}/tags \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"tagIds": [
"tag1",
"tag2",
"tag3"
]
}
'import requests
url = "https://api.attent.app/v1/leads/{leadId}/tags"
payload = { "tagIds": ["tag1", "tag2", "tag3"] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tagIds: ['tag1', 'tag2', 'tag3']})
};
fetch('https://api.attent.app/v1/leads/{leadId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tags": [
{
"id": "tag1",
"name": "VIP Customer"
},
{
"id": "tag2",
"name": "Interested"
},
{
"id": "tag3",
"name": "Follow Up Required"
}
]
}{
"message": "Invalid tag IDs: invalid-tag-1, invalid-tag-2"
}{
"message": "Forbidden"
}{
"message": "Lead not found"
}{
"message": "Internal Server Error"
}Authorizations
Path Parameters
The ID of the lead to update tags for
Body
application/json
Array of tag IDs to set on the lead
Array of tag IDs to replace existing tags with
Response
Tags successfully replaced.
Array of tags now assigned to the lead
Show child attributes
Show child attributes
⌘I
cURL

